import { Org } from "@salesforce/core";
export default abstract class BaseMetadataRetriever<T> {
    org: Org;
    private tooling;
    private query;
    protected cacheLoaded: boolean;
    protected data: any;
    protected dataLoaded: boolean;
    protected cacheFileName: string;
    protected constructor(org: Org, tooling?: boolean);
    setQuery(query: string): void;
    getObjects(): Promise<T[]>;
    private queryMore;
}
