import { AnyJson } from "@salesforce/ts-types";
import { flags, SfdxCommand } from "@salesforce/command";
export default class Generatepatch extends SfdxCommand {
    protected static requiresProject: boolean;
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        package: flags.Discriminated<flags.Option<string>>;
        objectsdir: flags.Discriminated<flags.Option<string>>;
        fixstandardvalueset: flags.Discriminated<flags.Boolean<boolean>>;
        fixrecordtypes: flags.Discriminated<flags.Boolean<boolean>>;
        apiversion: flags.Builtin;
    };
    run(): Promise<AnyJson>;
    private gemeratePatchForCustomPicklistField;
    private gemeratePatchForRecordTypes;
    private gemeratePatchForBusinessProcess;
}
